/* TableStyleMedium2.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn2
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium2 extends TableStyleImpl {
	private TableStyleMedium2() {
		super(
				"TableStyleMedium2",//name,
				M2_Whole_Table, 	//wholeTable,
				M2_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M2_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M2_Last_Col, 	//lastCol,
				M2_First_Col,	//firstCol,
				M2_Header_Row,	//headerRow,
				M2_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M2_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "DBE5F1", "DBE5F1"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M2_Row_Stripe1 =
			M2_Col_Stripe1;
	private static final STableStyleElem M2_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null,	//fill
				null //border
			);
	private static final STableStyleElem M2_First_Col =
			M2_Last_Col;
	private static final STableStyleElem M2_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.DOUBLE, "4F81BD"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M2_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "4F81BD", "4F81BD"),//fill //ZSS-1162
					null
			);
	private static final BorderLineImpl M2_Border_Line =
			new BorderLineImpl(BorderType.THIN, "95B3D7");
	private static final STableStyleElem M2_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,		//fill
					new BorderImpl(
							M2_Border_Line, //left 
							M2_Border_Line, //top 
							M2_Border_Line, //right
							M2_Border_Line, //bottom
							null, //diagonal
							null, //vertical
							M2_Border_Line 	//horizontal
					)
			);

	public static final TableStyleMedium2 instance = new TableStyleMedium2();
}
